Migration Guide

Service version: 2
Last edit: 2026.04.09
TomTom Orbis Maps

The Map Display API Orbis v2 is now available as a Public Preview. We recommend migrating to take advantage of the latest features. See the Public Preview page to learn what this means.

This guide helps you migrate to the Map Display API Orbis v2 endpoints. It covers differences from both the TomTom Maps endpoints and the Orbis v1 endpoints.

General changes

Changes in authentication

AspectOrbis v2
API Key (header)TomTom-Api-Key header (recommended)
API Key (query)key query parameter (still supported, but shouldn't be treated as the default option)

Error message format

Error messages are returned in JSON format in the following structure:

FieldDescription
detailedErrorMain object of the error response. Consists of code and message properties.
detailedError.codeOne of a server-defined set of error codes.
detailedError.messageA human-readable description of the error code.
Exemplary error message
1{
2 "detailedError": {
3 "code": "BAD_REQUEST",
4 "message": "Invalid tile position arguments"
5 }
6}

Migrating from TomTom Maps

This section describes the changes when migrating from the TomTom Maps Map Display API endpoints to the Orbis v2 endpoints.

Vector tile v1 endpoint

Where do I find the new endpoint

The new Orbis v2 Vector Tile endpoint has the following path:

get
Orbis v2 URL format
https://api.tomtom.com/maps/orbis/display/vector/tile/{zoom}/{X}/{Y}

instead of:

get
TomTom Maps URL format
https://api.tomtom.com/map/{versionNumber}/tile/{layer}/{style}/{zoom}/{X}/{Y}.pbf

Changes in the endpoint base path

AspectTomTom MapsOrbis v2
Base path/map/{versionNumber}/tile/{layer}/{style}/{zoom}/{X}/{Y}.pbf/maps/orbis/display/vector/tile/{zoom}/{X}/{Y}
Version mechanismversionNumber path parameter (value: 1)apiVersion query parameter or TomTom-Api-Version header (value: 2)
layerRequired path parameter (basic, hybrid, labels, poi)Moved to optional query parameter.
styleRequired path parameter (main)Removed. Not applicable in Orbis v2 vector tiles.

Changes in request query parameters

TomTom Maps parameterOrbis v2 parameterNotes
Not availableapiVersionRequired (query parameter or TomTom-Api-Version header). Supported value is 2.
viewgeopoliticalViewRenamed.
Not availablelayerMoved from the request path. Available value(s): basic.
languageNot availableRemoved. All available translations for the specific features are included in the tile by default.

Changes in request headers

Header nameTomTom MapsOrbis v2
TomTom-Api-VersionNot availableRequired (value: 2).
AcceptNot availableOptional. Value: application/vnd.mapbox-vector-tile.

Changes in response content type

TomTom MapsOrbis v2
image/pbfapplication/vnd.mapbox-vector-tile

The detailed information about TomTom Orbis Maps tile content can be found on the Tile Content page.


Vector tile v2 endpoint

Where do I find the new endpoint

The new Orbis v2 Vector Tile endpoint has the following path:

get
Orbis v2 URL format
https://api.tomtom.com/maps/orbis/display/vector/tile/{zoom}/{X}/{Y}

instead of:

get
TomTom Maps URL format
https://api.tomtom.com/map/{versionNumber}/tile/{layer}/{zoom}/{X}/{Y}.pbf

Changes in the endpoint base path

AspectTomTom MapsOrbis v2
Base path/map/{versionNumber}/tile/{layer}/{zoom}/{X}/{Y}.pbf/maps/orbis/display/vector/tile/{zoom}/{X}/{Y}
Version mechanismversionNumber path parameter (value: 2)apiVersion query parameter or TomTom-Api-Version header (value: 2)
layerRequired path parameter (basic, hybrid, labels, poi)Moved to optional query parameter.

Changes in request query parameters

TomTom Maps parameterOrbis v2 parameterNotes
Not availableapiVersionRequired (query parameter or TomTom-Api-Version header). Supported value is 2.
viewgeopoliticalViewRenamed.
Not availablelayerMoved from the request path. Available value(s): basic.
includeNot availableRoad restrictions are not supported by the Orbis tiles.
vehicleWeightNot availableRoad restrictions are not supported by the Orbis tiles.
vehicleAxleWeightNot availableRoad restrictions are not supported by the Orbis tiles.
numberOfAxlesNot availableRoad restrictions are not supported by the Orbis tiles.
vehicleWidthNot availableRoad restrictions are not supported by the Orbis tiles.
vehicleHeightNot availableRoad restrictions are not supported by the Orbis tiles.
generalLoadTypeNot availableRoad restrictions are not supported by the Orbis tiles.
dangerousGoodsLoadTypeNot availableRoad restrictions are not supported by the Orbis tiles.
adrCategoryNot availableRoad restrictions are not supported by the Orbis tiles.
commercialVehicleNot availableRoad restrictions are not supported by the Orbis tiles.
travelModeNot availableRoad restrictions are not supported by the Orbis tiles.
emissionClassNot availableRoad restrictions are not supported by the Orbis tiles.
engineTypeNot availableRoad restrictions are not supported by the Orbis tiles.
travelModeProfileNot availableRoad restrictions are not supported by the Orbis tiles.

Changes in request headers

Header nameTomTom MapsOrbis v2
TomTom-Api-VersionNot availableRequired (value: 2).
AcceptNot availableOptional. Value: application/vnd.mapbox-vector-tile.

Changes in response content type

TomTom MapsOrbis v2
image/pbfapplication/vnd.mapbox-vector-tile

The detailed information about TomTom Orbis Maps tile content can be found on the Tile Content page.

Raster tile endpoint

Where do I find the new endpoint

The new Orbis v2 Raster Map Tile endpoint has the following path:

get
Orbis v2 URL format
https://api.tomtom.com/maps/orbis/display/raster/tile/{zoom}/{X}/{Y}

instead of:

get
TomTom Maps URL format
https://api.tomtom.com/map/{versionNumber}/tile/{layer}/{style}/{zoom}/{X}/{Y}.{format}

Changes in the endpoint base path

AspectTomTom MapsOrbis v2
Base path/map/{versionNumber}/tile/{layer}/{style}/{zoom}/{X}/{Y}.{format}/maps/orbis/display/raster/tile/{zoom}/{X}/{Y}
Version mechanismversionNumber path parameter (value: 1)apiVersion query parameter or TomTom-Api-Version header (value: 2)
layerRequired path parameter (basic, hybrid, labels)Removed from path. Orbis v2 raster endpoint serves basic layer only.
styleRequired path parameter (main, night)Moved to optional query parameter (street-light, street-dark).
formatRequired path parameter (png, jpg)Removed from path. Response format is image/png by default.

Changes in request query parameters

TomTom Maps parameterOrbis v2 parameterNotes
Not availableapiVersionRequired (query parameter or TomTom-Api-Version header). Supported value is 2.
Not availablestyleOptional. Values: street-light, street-dark.
tileSizetileSizeNo change. Values: 256, 512.
viewgeopoliticalViewRenamed.
languageNot availableRemoved from query. Use the Accept-Language request header instead.

Changes in request headers

Header nameTomTom MapsOrbis v2
TomTom-Api-VersionNot availableRequired (value: 2).
Accept-LanguageNot availableOptional. Replaces the language query parameter.
AcceptNot availableOptional. Value: image/png.

Changes in response content type

TomTom MapsOrbis v2
image/png, image/jpgimage/png

Satellite Tile endpoint

Where do I find the new endpoint

The new Orbis v2 Satellite Tile endpoint has the following path:

get
Orbis v2 URL format
https://api.tomtom.com/maps/orbis/display/satellite/tile/{zoom}/{X}/{Y}

instead of:

get
TomTom Maps URL format
https://api.tomtom.com/map/{versionNumber}/tile/sat/{style}/{zoom}/{X}/{Y}.jpg

Changes in the endpoint base path

AspectTomTom MapsOrbis v2
Base path/map/{versionNumber}/tile/sat/{style}/{zoom}/{X}/{Y}.jpg/maps/orbis/display/satellite/tile/{zoom}/{X}/{Y}
Version mechanismversionNumber path parameter (value: 1)apiVersion query parameter or TomTom-Api-Version header (value: 2)
styleRequired path parameter (value: main)Moved to optional query parameter. Value: main.

Changes in request query parameters

TomTom Maps parameterOrbis v2 parameterNotes
Not availableapiVersionRequired (query parameter or TomTom-Api-Version header). Supported value is 2.
Not availablestyleOptional. Moved from request path. Value: main.

Changes in request headers

Header nameTomTom MapsOrbis v2
TomTom-Api-VersionNot availableRequired (value: 2).
AcceptNot availableOptional. Value: image/jpg.

Changes in response content type

TomTom MapsOrbis v2
image/jpgimage/jpg

Hillshade tile endpoint

Where do I find the new endpoint

The new Orbis v2 Hillshade Tile endpoint has the following path:

get
Orbis v2 URL format
https://api.tomtom.com/maps/orbis/display/hillshade/tile/{zoom}/{X}/{Y}

instead of:

get
TomTom Maps URL format
https://api.tomtom.com/map/{versionNumber}/tile/{layer}/{type}/{zoom}/{X}/{Y}.png

Changes in the endpoint base path

AspectTomTom MapsOrbis v2
Base path/map/{versionNumber}/tile/{layer}/{type}/{zoom}/{X}/{Y}.png/maps/orbis/display/hillshade/tile/{zoom}/{X}/{Y}
Version mechanismversionNumber path parameter (value: 1)apiVersion query parameter or TomTom-Api-Version header (value: 2)
layerRequired path parameter (value: hill)Removed. Dedicated hillshade endpoint path used instead.
typeRequired path parameter (value: main)Moved to optional query parameter with default value: dem.

Changes in request query parameters

TomTom Maps parameterOrbis v2 parameterNotes
Not availableapiVersionRequired (query parameter or TomTom-Api-Version header). Supported value is 2.
Not availabletypeOptional. Default value: dem.

Changes in request headers

Header nameTomTom MapsOrbis v2
TomTom-Api-VersionNot availableRequired (value: 2).
AcceptNot availableOptional. Value: image/png.

Changes in response content type

TomTom MapsOrbis v2
image/pngimage/png

Copyrights endpoint

Map copyrights

Where do I find the new endpoint
get
Orbis v2 URL format
https://api.tomtom.com/maps/orbis/copyrights

instead of:

get
TomTom Maps URL format
https://api.tomtom.com/map/{versionNumber}/copyrights
Changes in the endpoint path
AspectTomTom MapsOrbis v2
Path/map/{versionNumber}/copyrights/maps/orbis/copyrights
Version mechanismversionNumber path parameter (value: 2)apiVersion query parameter or TomTom-Api-Version header (value: 2)

Changes in request query parameters

TomTom Maps parameterOrbis v2 parameterNotes
Not availableapiVersionRequired (query parameter or TomTom-Api-Version header). Supported value is 2.
Changes in request headers
Header nameTomTom MapsOrbis v2
TomTom-Api-VersionNot availableRequired (value: 2).
AcceptNot availableOptional. Value: application/json.
Changes in response content type
TomTom MapsOrbis v2
text/plainapplication/json

Map service copyrights (Caption)

Where do I find the new endpoint
get
Orbis v2 URL format
https://api.tomtom.com/maps/orbis/copyrights/caption?apiVersion=2&key={Your_API_Key}

instead of:

get
TomTom Maps URL format
https://api.tomtom.com/map/{versionNumber}/copyrights/caption.json
Changes in the endpoint path
AspectTomTom MapsOrbis v2
Path/map/{versionNumber}/copyrights/caption.json/maps/orbis/copyrights/caption
Version mechanismversionNumber path parameter (value: 2)apiVersion query parameter or TomTom-Api-Version header (value: 2)

Changes in request query parameters

TomTom Maps parameterOrbis v2 parameterNotes
Not availableapiVersionRequired (query parameter or TomTom-Api-Version header). Supported value is 2.
Changes in request headers
Header nameTomTom MapsOrbis v2
TomTom-Api-VersionNot availableRequired (value: 2).
AcceptNot availableOptional. Value: application/json.
Changes in response content type
TomTom MapsOrbis v2
application/jsonapplication/json

Migrating from Orbis v1

This section describes the changes when migrating from the Orbis v1 Map Display API endpoints to the Orbis v2 endpoints.

Vector tile endpoint

Endpoint URL

The base path has changed. The API version also changes:

get
Orbis v1 URL format
https://api.tomtom.com/maps/orbis/map-display/tile/{zoom}/{X}/{Y}.pbf
get
Orbis v2 URL format
https://api.tomtom.com/maps/orbis/display/vector/tile/{zoom}/{X}/{Y}

Changes in the endpoint path

AspectOrbis v1Orbis v2
Path/maps/orbis/map-display/tile/{zoom}/{X}/{Y}.pbf/maps/orbis/display/vector/tile/{zoom}/{X}/{Y}
Version mechanismapiVersion query parameter or TomTom-Api-Version header (value: 1)apiVersion query parameter or TomTom-Api-Version header (value: 2)

Changes in request query parameters

Orbis v1 parameterOrbis v2 parameterNotes
apiVersionapiVersionRequired. Value changed from 1 to 2.
layerlayerNo change.
viewgeopoliticalViewRenamed.

Changes in request headers

Header nameOrbis v1Orbis v2
TomTom-Api-VersionRequired (value: 1)Required (value: 2).
AcceptNot availableOptional. Value: application/vnd.mapbox-vector-tile.

Changes in response content type

Orbis v1Orbis v2
image/pbfapplication/vnd.mapbox-vector-tile

Raster map tile endpoint

Endpoint URL

The base path has changed. The API version also changes:

get
Orbis v1 URL format
https://api.tomtom.com/maps/orbis/map-display/tile/{zoom}/{X}/{Y}.png
get
Orbis v2 URL format
https://api.tomtom.com/maps/orbis/display/raster/tile/{zoom}/{X}/{Y}

Changes in the endpoint path

AspectOrbis v1Orbis v2
Path/maps/orbis/map-display/tile/{zoom}/{X}/{Y}.png/maps/orbis/display/raster/tile/{zoom}/{X}/{Y}
Version mechanismapiVersion query parameter or TomTom-Api-Version header (value: 1)apiVersion query parameter or TomTom-Api-Version header (value: 2)

Changes in request query parameters

Orbis v1 parameterOrbis v2 parameterNotes
apiVersionapiVersionRequired. Value changed from 1 to 2.
stylestyleNo change.
tileSizetileSizeNo change.
viewgeopoliticalViewRenamed.
languageNot availableRemoved from query. Use the Accept-Language request header instead.

Changes in request headers

Header nameOrbis v1Orbis v2
TomTom-Api-VersionRequired (value: 1)Required (value: 2).
Accept-LanguageNot availableOptional. Replaces the language query parameter.
AcceptNot availableOptional. Value: image/png.

Changes in response content type

Orbis v1Orbis v2
image/pngimage/png

Satellite tile endpoint

Endpoint URL

The base path has changed. The API version also changes:

get
Orbis v1 URL format
https://api.tomtom.com/maps/orbis/map-display/tile/satellite/{zoom}/{X}/{Y}.jpg
get
Orbis v2 URL format
https://api.tomtom.com/maps/orbis/display/satellite/tile/{zoom}/{X}/{Y}

Changes in the endpoint path

AspectOrbis v1Orbis v2
Path/maps/orbis/map-display/tile/satellite/{zoom}/{X}/{Y}.jpg/maps/orbis/display/satellite/tile/{zoom}/{X}/{Y}
Version mechanismapiVersion query parameter or TomTom-Api-Version header (value: 1)apiVersion query parameter or TomTom-Api-Version header (value: 2)

Changes in request query parameters

Orbis v1 parameterOrbis v2 parameterNotes
apiVersionapiVersionRequired. Value changed from 1 to 2.
stylestyleNo change.

Changes in request headers

Header nameOrbis v1Orbis v2
TomTom-Api-VersionOptional (value: 1)Required (value: 2).
AcceptNot availableOptional. Value: image/jpg.

Changes in response content type

Orbis v1Orbis v2
image/jpgimage/jpg

Hillshade tile endpoint

Endpoint URL

The base path has changed. The API version also changes:

get
Orbis v1 URL format
https://api.tomtom.com/maps/orbis/map-display/tile/hillshade/{zoom}/{X}/{Y}.png
get
Orbis v2 URL format
https://api.tomtom.com/maps/orbis/display/hillshade/tile/{zoom}/{X}/{Y}

Changes in the endpoint path

AspectOrbis v1Orbis v2
Path/maps/orbis/map-display/tile/hillshade/{zoom}/{X}/{Y}.png/maps/orbis/display/hillshade/tile/{zoom}/{X}/{Y}
Version mechanismapiVersion query parameter or TomTom-Api-Version header (value: 1)apiVersion query parameter or TomTom-Api-Version header (value: 2)

Changes in request query parameters

Orbis v1 parameterOrbis v2 parameterNotes
apiVersionapiVersionRequired. Value changed from 1 to 2.
typetypeNo change.

Changes in request headers

Header nameOrbis v1Orbis v2
TomTom-Api-VersionOptional (value: 1)Required (value: 2).
AcceptNot availableOptional. Value: image/png.

Changes in response content type

Orbis v1Orbis v2
image/pngimage/png

Copyrights endpoint

Map copyrights

Endpoint URL

The base URL path stays the same. Only the API version changes:

get
Orbis v1/v2 URL format
https://api.tomtom.com/maps/orbis/copyrights
Changes in the endpoint path
AspectOrbis v1Orbis v2
Path/maps/orbis/copyrightsThe same path.
Version mechanismapiVersion query parameter or TomTom-Api-Version header (value: 1)apiVersion query parameter or TomTom-Api-Version header (value: 2)
Changes in request query parameters
Orbis v1 parameterOrbis v2 parameterNotes
apiVersionapiVersionRequired. Value changed from 1 to 2.
Changes in request headers
Header nameOrbis v1Orbis v2
TomTom-Api-VersionRequired (value: 1)Required (value: 2).
AcceptNot availableOptional. Value: application/json.
Changes in response content type
Orbis v1Orbis v2
text/plainapplication/json

Map service copyrights (Caption)

Endpoint URL
get
Orbis v1 URL format
https://api.tomtom.com/maps/orbis/copyrights/caption.json
get
Orbis v2 URL format
https://api.tomtom.com/maps/orbis/copyrights/caption
Changes in the endpoint path
AspectOrbis v1Orbis v2
Path/maps/orbis/copyrights/caption.json/maps/orbis/copyrights/caption
Version mechanismapiVersion query parameter or TomTom-Api-Version header (value: 1)apiVersion query parameter or TomTom-Api-Version header (value: 2)
Changes in request query parameters
Orbis v1 parameterOrbis v2 parameterNotes
apiVersionapiVersionRequired. Value changed from 1 to 2.
Changes in request headers
Header nameOrbis v1Orbis v2
TomTom-Api-VersionRequired (value: 1)Required (value: 2).
AcceptNot availableOptional. Value: application/json.
Changes in response content type
Orbis v1Orbis v2
application/jsonapplication/json